﻿

@model PersonnelViewModel
@{
    ViewData["Title"] = "Events";

}
@section CalendarCss {
    <link href="~/lib/css/fullcalendar.min.css" rel="stylesheet" />
}
@section CalendarScripts {
    <partial name="_CalendarScripts" />

    <script>
        $(document).ready(function () {
            var calendarEvents;

            const baseUrlApi = "http://localhost:5000/api/";

            var getEventsUrl = "";

            const token = Cookies.get('token');
            var personnelColors = {};
            $.ajaxSetup({
                headers: {
                    'Authorization': `Bearer ${token}`,
                }
            });

            switch ("@Model.Role") {
                case "Admin":
                    getEventsUrl = baseUrlApi + "events/by-directorship/" + @Model.DirectorshipID;
                    break;
                case "User":
                    getEventsUrl = baseUrlApi + "events/by-personnel/" + @Model.Id;
                    break;
                case "Super Admin":
                    getEventsUrl = baseUrlApi + "events";
                    break;
                default:
                    getEventsUrl = baseUrlApi;
            }

            /*--START helper funcs-- */

            $.ajax({
                type: "GET",
                url: getEventsUrl,
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (doc) {
                    var events = [];
                    var obj = doc;
                    personnelColors = {};
                    var colors = [];
                    $(obj).each(function () {
                        while (true) {
                            var color = getRandomColor();
                            if (colors.indexOf(color) === -1) {
                                if (personnelColors["data" + $(this).attr('personnelID')] == undefined) {
                                    personnelColors["data" + $(this).attr('personnelID')] = color;
                                }
                                colors.push();
                                break;
                            }
                        }
                        events.push({
                            id: $(this).attr('id'),
                            personnelName: $(this).attr('personnelName'),
                            directorshipName: $(this).attr('directorshipName'),
                            directorshipID: $(this).attr('directorshipID'),
                            personnelID: $(this).attr('personnelID'),
                            title: $(this).attr('title'),
                            category: $(this).attr('category'),
                            customerName: $(this).attr('customerName'),
                            completedDesc: $(this).attr('completedDesc'),
                            start: $(this).attr('startDate'),
                            end: $(this).attr('endDate'),
                            status: $(this).attr('status'),
                            color: "@Model.Role" != "User" ? personnelColors["data" + $(this).attr('personnelID')] :
                                $(this).attr('status') ? '#79d70f' : '#d32626'
                        });
                    });
                    calendarEvents = new Sugar.Array(events);
                    $('#fc-selectable').fullCalendar('addEventSource', calendarEvents['raw']);
                    $('#fc-selectable').fullCalendar('refetchEvents');
                },
                error: function (error) {
                }
            });

            function convertToJson(serializedForm) {
                var s = '';
                var saveForm = {};
                for (s in serializedForm) {
                    saveForm[serializedForm[s]['name']] = serializedForm[s]['value']
                }
                return saveForm;
            }

            function getRandomColor() {
                var letters = '0123456789ABCDEF';
                var color = '#';
                for (var i = 0; i < 6; i++) {
                    color += letters[Math.floor(Math.random() * 16)];
                }
                return color;
            }

            $("#eventModal").on('hide.bs.modal', function () {
                $('#fc-selectable').fullCalendar('unselect');
                $('#save-form')[0].reset();
            });

            function updateCalendar(updateFormObj) {
                 var updatedEventIndex = calendarEvents.findIndex(function (el) {
                    return el.id == updateFormObj.id;
                });
                $.ajax({
                    type: 'GET',
                    url: baseUrlApi + "events/" + updateFormObj.id,
                    success: function (data) {
                        var event = {
                            id: data.id,
                            personnelName: data.personnelName,
                            directorshipName: data.directorshipName,
                            directorshipID: data.directorshipID,
                            personnelID: data.personnelID,
                            title: data.title,
                            category: data.category,
                            customerName: data.customerName,
                            completedDesc: data.completedDesc,
                            start: data.startDate,
                            end: data.endDate,
                            status: data.status,
                            color: "@Model.Role" != "User" ? personnelColors["data" + data.personnelID] :
                                data.status ? '#79d70f' : '#d32626'
                        }
                        if (updatedEventIndex == -1) {
                            calendarEvents.append(event);
                        }
                        else {
                            calendarEvents['raw'][updatedEventIndex] = event;
                        }

                        $('#fc-selectable').fullCalendar('removeEventSources');
                        $('#fc-selectable').fullCalendar('addEventSource', calendarEvents['raw']);
                        $('#fc-selectable').fullCalendar('refetchEvents');

                    }
                });
            }



            /*--END helper funcs-- */


            //START OF DATEPICKER CONFIG

            $.datetimepicker.setDateFormatter('moment');
            jQuery.datetimepicker.setLocale('tr');

            $('.js-startDatePicker').datetimepicker({
                format: 'DD/MM/YYYY HH:mm',
            });

            $('.js-endDatePicker').datetimepicker({
                format: 'DD/MM/YYYY HH:mm',
            });

            $('.js-filterStartDatePicker').datetimepicker({
                timepicker:false,
                format: 'DD/MM/YYYY',
            });

            $('.js-filterEndDatePicker').datetimepicker({
                timepicker: false,
                format: 'DD/MM/YYYY',
            });
            // END OF DATEPICKER CONFIG


            // Create EVENT

            $('#save-event').on('click', function () {
                var serializedForm = $('#save-form').serializeArray();
                var saveFormObj = convertToJson(serializedForm);
                saveFormObj.personnelID = "@Model.Id";
                saveFormObj.DirectorshipID = "@Model.DirectorshipID";
                saveFormObj.startDate = moment(saveFormObj.startDate, 'DD/MM/YYYY HH:mm').format('MM-DD-YYYY HH:mm');
                saveFormObj.endDate = moment(saveFormObj.endDate, 'DD/MM/YYYY HH:mm').format('MM-DD-YYYY HH:mm');

                $.ajax({
                    type: 'POST',
                    url: baseUrlApi + "events",
                    data: JSON.stringify(saveFormObj),
                    contentType: 'application/json; charset=UTF-8',
                    success: function (savedEvent) {
                        toastr.success('Ekleme başarılı...');
                        updateCalendar(savedEvent);
                    },
                    error: function () {
                        toastr.error('Bir hata oluştu...');
                    },
                });
                $('#fc-selectable').fullCalendar('unselect');
                $('#save-form')[0].reset();
                $('#eventModal').modal('hide');
            });

            // START READ EVENTS AND FULLCALENDAR INITALIZE

            $('#fc-selectable').fullCalendar({
                editable: true,
                height: 'auto',
                firstDay: 1,
                lang:'tr',
                header: {
                    left: 'prev,next today',
                    center: 'title',
                    right: 'month,agendaWeek,agendaDay'
                },
                locale: 'tr-TR',
                timezone: 'local',
                minTime: "08:00:00",
                maxTime: "18:00:00",
                slotLabelFormat: "HH:mm",
                defaultDate: new Date($.now()),
                selectable: true,
                selectHelper: true,
                defaultView: 'agendaDay',
                select: function (start, end) {
                    var startDate = new Date(start);
                    var endDate = new Date(end);
                    var allDay = !start.hasTime() && !end.hasTime();
                    if (allDay) {
                        startDate.setHours("08", "00");
                        endDate.setHours("17", "00");
                        var endDateforAllDay = moment(endDate).subtract(1, 'days');
                        $('#eventModal').find("[name='startDate']").val(moment(startDate).format('DD/MM/YYYY HH:mm'));
                        $('#eventModal').find("[name='endDate']").val(moment(endDateforAllDay).format('DD/MM/YYYY HH:mm'));
                    }
                    else {
                        $('#eventModal').find("[name='startDate']").val(moment(startDate).format('DD/MM/YYYY HH:mm'));
                        $('#eventModal').find("[name='endDate']").val(moment(endDate).format('DD/MM/YYYY HH:mm'));
                    }
                    $('#eventModal').modal("show");
                },
                eventClick: function (event, element) {
                    $.each(event, function (index, value) {
                        var elForm = $('#update-form').find("[name*='" + index + "']");
                        if ($('#personelname-badge')) {
                            $('#personelname-badge').text(event.personnelName);
                        }
                        if ($('#directorshipname-badge')) {
                            $('#directorshipname-badge').text(event.directorshipName);
                        }
                        if (elForm.prop("tagName") == "SELECT") {
                            elForm.find("option").removeAttr('selected')
                                .filter('[value=' + value + ']')
                                .attr('selected', true);
                        }
                        else if (elForm.hasClass('js-startDatePicker')
                            || elForm.hasClass('js-endDatePicker')) {
                            elForm.val(moment(value).format('DD/MM/YYYY HH:mm'));
                        }
                        else {
                            elForm.val(value);
                        }
                    });
                    $('#eventUpdateModal').modal("show");
                },
                eventLimit: true,
                timeFormat: 'H(:mm)',
                views: {
                    timelineDay: {
                        slotLabelFormat: ['H:mm'],
                    },
                    timelineMonth: {
                        slotLabelFormat: ['DD'],
                    },
                },
                eventResize: function (event) {
                    var eventData = {
                        id: event.id,
                        personnelID: event.personnelID,
                        directorshipID: event.directorshipID,
                        title: event.title,
                        category: event.category,
                        customerName: event.customerName,
                        completedDesc: event.completedDesc,
                        status: event.status,
                        startDate: event.start,
                        endDate: event.end
                    };
                    $.ajax({
                        type: 'PUT',
                        url: baseUrlApi + "events",
                        data: JSON.stringify(eventData),
                        contentType: 'application/json; charset=UTF-8',
                        success: function (data) {
                            toastr.success('Tarih güncellendi...');
                            updateCalendar(event);

                        },
                        error: function (data) {
                            toastr.error('Güncelleme yapılırken hata oluştu...')
                        },
                    });
                },
                eventDrop: function (event) {
                    var eventData = {
                        id: event.id,
                        personnelID: event.personnelID,
                        directorshipID: event.directorshipID,
                        title: event.title,
                        category: event.category,
                        customerName: event.customerName,
                        completedDesc: event.completedDesc,
                        status: event.status,
                        startDate: event.start,
                        endDate: event.end
                    };
                    if (event.allDay) {
                        var startDate = new Date(event.start);
                        var endDate = new Date(event.start);
                        startDate.setHours("08", "00");
                        eventData.startDate = startDate;
                        endDate.setHours("17", "00");
                        eventData.endDate = endDate;
                    }
                    $.ajax({
                        type: 'PUT',
                        url: baseUrlApi + "events",
                        data: JSON.stringify(eventData),
                        contentType: 'application/json; charset=UTF-8',
                        success: function (data) {

                            toastr.success('Tarih güncellendi...');

                            console.log(eventData, event);
                            updateCalendar(event);
                        },
                        error: function (data) {
                            console.log(eventData,event);
                            toastr.error('Tarihi güncellerken bir hata oluştu...');
                        },
                    });
                }, eventRender: function (event, element) {
                    if ("@Model.Role" == "Super Admin" || "@Model.Role" == "Admin") {
                        element.find('.fc-title').append(" " + event.personnelName);
                    }
                },
            });


            // END READ EVENTS AND FULLCALENDAR SETUP


             // START UPDATE EVENT

            $('#update-event').on('click', function () {
                var serializedForm = $('#update-form').serializeArray();
                var updateFormObj = convertToJson(serializedForm);
                updateFormObj.startDate = moment(updateFormObj.startDate, 'DD/MM/YYYY HH:mm').format('MM-DD-YYYY HH:mm');
                updateFormObj.endDate = moment(updateFormObj.endDate, 'DD/MM/YYYY HH:mm').format('MM-DD-YYYY HH:mm');
                $.ajax({
                    type: 'PUT',
                    url: baseUrlApi + "events",
                    data: JSON.stringify(updateFormObj),
                    contentType: 'application/json; charset=UTF-8',
                    success: function (response) {

                        toastr.success('Güncelleme başarılı...');
                        updateCalendar(updateFormObj);
                    },
                    error: function () {
                        toastr.error('Güncelleme hatalı...');
                    },
                });
                $('#update-form')[0].reset();
                $('#eventUpdateModal').modal('hide');
            });


             // END UPDATE EVENT


            //START OF DELETE EVENT FUNCTION

            $('#delete-event').on('click', function () {
                var serializedForm = $('#update-form').serializeArray();
                var deleteFormOj = convertToJson(serializedForm);
                $.ajax({
                    type: 'DELETE',
                    url: baseUrlApi + "events/" + deleteFormOj.id,
                    success: function () {
                        toastr.success('Başarıyla silindi...');
                        calendarEvents.remove(function (n) {
                            return n['id'] == deleteFormOj.id;
                        });
                        $('#fc-selectable').fullCalendar('removeEventSources');
                        $('#fc-selectable').fullCalendar('addEventSource', calendarEvents['raw']);
                        $('#fc-selectable').fullCalendar('refetchEvents');  
                    },
                    error: function () {
                        toastr.error('Silerken bir hata oluştu');
                    },
                });
                $('#eventUpdateModal').modal('hide');
            });

            //END OF DELETE EVENT FUNCTION

            @*//START OF FILTERING

            $('#filter-event').on('click', function () {
                var serializedForm = $('#filter-form').serializeArray();
                var filterFormObj = convertToJson(serializedForm);
                var filterQuery = "event?";

                if ("@Model.Role" === "Admin") {
                    filterFormObj.directorshipID = @Model.DirectorshipID;
                }
                if ("@Model.Role" == "User") {
                    filterFormObj.personnelID = @Model.Id;
                    filterFormObj.directorshipID = @Model.DirectorshipID;
                }
                var filterInputsNotNull = {

                }
                Object.keys(filterFormObj).forEach(function (key) {
                    if ($.trim(filterFormObj[key]) != "") {
                        filterInputsNotNull[key] = filterFormObj[key]
                    }
                });

                if (filterInputsNotNull.startDate) {
                    var notNullStartDate = new Date(moment(filterInputsNotNull.startDate, 'DD/MM/YYYY').format('MM-DD-YYYY'));
                    notNullStartDate.setHours("03","00");
                    filterInputsNotNull.startDate = notNullStartDate.toISOString();
                }
                if (filterInputsNotNull.endDate) {
                    var notNullendDate = new Date(moment(filterInputsNotNull.endDate, 'DD/MM/YYYY').format('MM-DD-YYYY'));
                    notNullendDate.setHours("26", "59");
                    filterInputsNotNull.endDate = notNullendDate.toISOString();
                }
                filterQuery += $.param(filterInputsNotNull);
                console.log(filterFormObj, filterQuery);
                var filtered_events = [];
                if (filterQuery != "event?") {
                    var filter_request = $.ajax({
                        type: 'GET',
                        url: baseUrlApi + "search/" + filterQuery,
                        contentType: 'application/json; charset=UTF-8',
                        success: function (doc) {
                            var personnelColors = {};
                            var colors = [];
                            var obj = doc;
                            $(obj).each(function () {
                                while (true) {
                                    var color = getRandomColor();
                                    if (colors.indexOf(color) === -1) {
                                        if (personnelColors["data" + $(this).attr('personnelID')] == undefined) {
                                            personnelColors["data" + $(this).attr('personnelID')] = color;
                                        }
                                        colors.push();
                                        break;
                                    }
                                }
                                filtered_events.push({
                                    id: $(this).attr('id'),
                                    personnelName: $(this).attr('personnelName'),
                                    directorshipName: $(this).attr('directorshipName'),
                                    directorshipID: $(this).attr('directorshipID'),
                                    personnelID: $(this).attr('personnelID'),
                                    title: $(this).attr('title'),
                                    category: $(this).attr('category'),
                                    customerName: $(this).attr('customerName'),
                                    completedDesc: $(this).attr('completedDesc'),
                                    start: $(this).attr('startDate'),
                                    end: $(this).attr('endDate'),
                                    status: $(this).attr('status'),
                                    color: "@Model.Role" != "User" ? personnelColors["data" + $(this).attr('personnelID')] :
                                        $(this).attr('status') ? '#79d70f' : '#d32626'
                                });
                            });
                            toastr.success('Filtreleme yapıldı.');
                        },
                        error: function (data) {
                            toastr.error('Filtreleme hatalı...');
                        },
                    });
                    filter_request.done(function () {
                        $('#fc-selectable').fullCalendar('removeEvents');
                        $('#fc-selectable').fullCalendar('renderEvents', filtered_events);
                    });
                }
                $('#filterModal').modal('hide');
            });

            $('#clear-filter').on('click', function () {
                $('#filter-form')[0].reset();


                $('#fc-selectable').fullCalendar('removeEvents');
                $('#fc-selectable').fullCalendar('renderEvents', calendarEvents['raw']);
            });*@

            //END OF FILTERING

        });
    </script>
}
<!--Filter Modal-->
@*<div class="modal fade text-left" id="filterModal" tabindex="-1" role="dialog" aria-labelledby="filterModal"
     aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title" id="filterModal">Filter Event</h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form id="filter-form">
                    <div class="form-body">
                        @{
                            if (!User.IsInRole("User"))
                            {

                                var classOfRow = "col-md-6";
                                if (!User.IsInRole("Super Admin"))
                                {
                                    classOfRow = "col-md-12";
                                }
                                <div class="row">
                                    <div class="@classOfRow">
                                        <div class="form-group">
                                            <label for="title">Personel</label>
                                            <div class="position-relative has-icon-left">
                                                <input type="hidden" id="filter_personnel" class="form-control" name="PersonnelID">
                                                <input type="text" class="form-control js-typeaheadPersonnel">
                                                <div class="form-control-position">
                                                    <i class="fa fa-inbox"></i>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    @{
                                        if (User.IsInRole("Super Admin"))
                                        {
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label for="title">Müdürlük</label>
                                                    <div class="position-relative has-icon-left">
                                                        <input type="hidden" id="filter_directorship" class="form-control" name="DirectorshipID">
                                                        <input type="text" class="form-control js-typeaheadDirectorship">
                                                        <div class="form-control-position">
                                                            <i class="fa fa-inbox"></i>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        }
                                    }
                                </div>
                                        }
                        }
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="category">İş Grubu</label>
                                    <div class="position-relative has-icon-left">
                                        <input type="text" class="form-control" name="category">
                                        <div class="form-control-position">
                                            <i class="fa fa-briefcase"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="customerName">Müşteri</label>
                                    <div class="position-relative has-icon-left">
                                        <input type="text" class="form-control" name="customerName">
                                        <div class="form-control-position">
                                            <i class="fa fa-briefcase"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    
                                    <label for="startDate">Başlangıç Tarihi</label>
                                    <div class="position-relative has-icon-left">
                                        <input class="form-control js-filterStartDatePicker" type="text" name="startDate">
                                        <div class="form-control-position">
                                            <i class="fa fa-calendar"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="endDate">Bitiş Tarihi</label>
                                    <div class="position-relative has-icon-left">
                                        <input class="form-control js-filterEndDatePicker" type="text" name="endDate">
                                        <div class="form-control-position">
                                            <i class="fa fa-calendar"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
                <div class="form-actions right">
                    <button type="button" id="filter-event" class="btn btn-raised btn-primary">
                        <i class="fa fa-check-square-o"></i> Filtrele
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>*@

<!-- SAVE FORM MODAL -->
<div class="modal fade text-left" id="eventModal" tabindex="-1" role="dialog" aria-labelledby="eventModal"
     aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title" id="eventModal">Event</h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form id="save-form">
                    <input type="hidden" name="DirectorshipID" value="@Model.DirectorshipID" />
                    <input type="hidden" name="personnelID" value="@Model.Id" />
                    <div class="form-body">
                        <div class="form-group">
                            <label for="title">Başlık</label>
                            <div class="position-relative has-icon-left">
                                <input type="text" id="title" class="form-control" name="title" placeholder="Operasyonel destek sağlandı.">
                                <div class="form-control-position">
                                    <i class="fa fa-inbox"></i>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="category">İş Grubu</label>
                                    <div class="position-relative has-icon-left">
                                        <input type="text" id="category" class="form-control" name="category" placeholder="e-Dönüşüm">
                                        <div class="form-control-position">
                                            <i class="fa fa-briefcase"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="customerName">Müşteri</label>
                                    <div class="position-relative has-icon-left">
                                        <input type="text" id="customerName" class="form-control" name="customerName" placeholder="İş Net">
                                        <div class="form-control-position">
                                            <i class="fa fa-briefcase"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="startDate">Başlangıç Tarihi</label>
                                    <div class="position-relative has-icon-left">
                                        <input class="form-control js-startDatePicker" type="text" name="startDate">
                                        <div class="form-control-position">
                                            <i class="fa fa-calendar"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="endDate">Bitiş Tarihi</label>
                                    <div class="position-relative has-icon-left">
                                        <input class="form-control js-endDatePicker" type="text" name="endDate">
                                        <div class="form-control-position">
                                            <i class="fa fa-calendar"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="completedDesc">Açıklama</label>
                            <div class="position-relative has-icon-left">
                                <textarea id="completedDesc" rows="5" class="form-control" name="completedDesc"></textarea>
                                <div class="form-control-position">
                                    <i class="ft-file"></i>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="status">Durum</label>
                            <select class="form-control" id="status" name="status">
                                <option value="true">Tamamlandı</option>
                                <option value="false">Devam Ediyor</option>
                            </select>
                        </div>
                    </div>
                </form>
                <div class="form-actions right">
                    <button type="submit" id="save-event" class="btn btn-raised btn-primary">
                        <span class="icon-wrapper"><i class="fa fa-check-square-o"></i></span> Kaydet
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>


<!--EDIT AND DELETE MODAL-->
<div class="modal fade text-left" id="eventUpdateModal" tabindex="-1" role="dialog" aria-labelledby="eventUpdateModal"
     aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title" id="eventModal">Event</h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                @{
                    if (!User.IsInRole("User"))
                    {
                                <div class="badges-container">

                                    <span class="badge badge-primary" id="personelname-badge">PersonelText</span>


                                    @if (User.IsInRole("Super Admin"))
                                    {
                                    <span class="badge badge-secondary" id="directorshipname-badge">DirectorshipText</span>

                                    }

                                </div>

                     }
                }

                    <form id="update-form">
                        <input type="hidden" name="id" />
                        <input type="hidden" name="directorshipID" />
                        <input type="hidden" name="personnelID" />
                        <div class="form-body">
                            <div class="form-group">
                                <label for="title">Başlık</label>
                                <div class="position-relative has-icon-left">
                                    <textarea rows="5" class="form-control" name="title"></textarea>

                                    <div class="form-control-position">
                                        <i class="fa fa-inbox"></i>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="category">İş Grubu</label>
                                        <div class="position-relative has-icon-left">
                                            <input type="text" class="form-control" name="category">
                                            <div class="form-control-position">
                                                <i class="fa fa-briefcase"></i>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="customerName">Müşteri</label>
                                        <div class="position-relative has-icon-left">
                                            <input type="text" class="form-control" name="customerName">
                                            <div class="form-control-position">
                                                <i class="fa fa-briefcase"></i>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="startDate">Başlangıç Tarihi</label>
                                        <div class="position-relative has-icon-left">
                                            <input class="form-control js-startDatePicker" type="text" name="startDate">
                                            <div class="form-control-position">
                                                <i class="fa fa-calendar"></i>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="endDate">Bitiş Tarihi</label>
                                        <div class="position-relative has-icon-left">
                                            <input class="form-control js-endDatePicker" type="text" name="endDate">
                                            <div class="form-control-position">
                                                <i class="fa fa-calendar"></i>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="completedDesc">Açıklama</label>
                                <div class="position-relative has-icon-left">
                                    <textarea rows="5" class="form-control" name="completedDesc"></textarea>
                                    <div class="form-control-position">
                                        <i class="ft-file"></i>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="status">Durum</label>
                                <select class="form-control" name="status">
                                    <option value="true">Tamamlandı</option>
                                    <option value="false">Devam Ediyor</option>
                                </select>
                            </div>
                        </div>
                    </form>
                    <div class="form-actions right">
                        <button type="submit" id="update-event" class="btn btn-raised btn-primary">
                            <span class="icon-wrapper"><i class="fa fa-check-square-o"></i></span> Güncelle
                        </button>
                        <button type="submit" id="delete-event" class="btn btn-raised btn-danger">
                            <span class="icon-wrapper">
                                <i class="ft-delete"></i>
                            </span> Sil
                        </button>
                    </div>
                </div>
        </div>
    </div>
</div>


<section id="calendar">
    <div class="row">
        <div class="col-xs-12">
            <div class="card">
                <div class="card-content">
                    <div class="card-body">
                        <div class="row">
                            @*<div class="col-md-12">
                                <div class="d-flex justify-content-end">
                                    <button type="button" id="clear-filter" class="btn btn-raised btn-primary mr-2">
                                        <span class="icon-wrapper">
                                            <i class="ft-refresh-ccw"></i>
                                        </span> Filtreyi Temizle
                                    </button>
                                    <button type="button" class="btn btn-raised btn-success" data-toggle="modal"
                                            data-target="#filterModal">
                                        <span class="icon-wrapper">
                                            <i class="ft-filter"></i>
                                        </span>
                                        Filtrele
                                    </button>
                                </div>
                            </div>*@
                            <div class="col-md-12">
                                <div id='fc-selectable'></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

